@echo off

REM The first argument is the old file; the second argument is the new file.  If no arguments
REM are specified, the batch file supplies its own.  This is so that the batch file can be used
REM for any patch.

if "%1"=="" goto no_args_supplied
if "%2"=="" goto no_args_supplied
if not "%3"=="" goto no_args_supplied
goto do_patch

:no_args_supplied
%0 fsport2_3.vp fsport3_0_4.vp
goto eof

:do_patch
echo.
echo Patching %1 to %2...
echo.

if not exist patch_file goto patch_not_found
if not exist %1 goto old_file_not_found

bspatch %1 %2 patch_file
del %1

echo Patch complete.
goto end

:old_file_not_found
echo Unable to find %1.  Copy it into the current directory and run
echo this program again.  If you do not have %1, you can download
echo %2 from the FSPort website.
goto end

:patch_not_found
echo Patch file not found!  Make sure it has not been deleted or renamed.
goto end

:end
echo.

:eof